Subject: Re: [PATCH v8 36/37] run-command: stop thinking about hooks

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 12 Mar 2021 10:23:55 +0100

On Thu, Mar 11 2021, Emily Shaffer wrote:

> hook.h has replaced all run-command.h hook-related functionality.
> run-command.h:run_hooks_le/ve and find_hook are no longer used anywhere
> in the codebase. So, let's delete the dead code - or, in the one case
> where it's still needed, move it to an internal function in hook.c.

Similar to other comments about squashing, I think just having this
happen incrementally as we remove whatever is the last user of the
function would be better.

E.g. find_hook() is last used in one commit, run_hook*() in another...